Clazz.declarePackage ("jalview.analysis.scoremodels");
Clazz.load (["jalview.api.analysis.ScoreModelI"], "jalview.analysis.scoremodels.PIDScoreModel", ["jalview.util.Comparison"], function () {
c$ = Clazz.declareType (jalview.analysis.scoremodels, "PIDScoreModel", null, jalview.api.analysis.ScoreModelI);
Clazz.overrideMethod (c$, "findDistances", 
function (seqData) {
var sequenceString = seqData.getSequenceStrings (jalview.util.Comparison.GapChars.charAt (0));
var noseqs = sequenceString.length;
var distance =  Clazz.newFloatArray (noseqs, noseqs, 0);
for (var i = 0; i < (noseqs - 1); i++) {
for (var j = i; j < noseqs; j++) {
if (j == i) {
distance[i][i] = 0;
} else {
distance[i][j] = 100 - jalview.util.Comparison.PID (sequenceString[i], sequenceString[j]);
distance[j][i] = distance[i][j];
}}
}
return distance;
}, "jalview.datamodel.AlignmentView");
Clazz.overrideMethod (c$, "getName", 
function () {
return "PID";
});
Clazz.overrideMethod (c$, "isDNA", 
function () {
return true;
});
Clazz.overrideMethod (c$, "isProtein", 
function () {
return true;
});
});
